Why not to host externally

As part of our integration we strongly recommend to host your site with us.

The main reasons for this are:

  1. We can update automatically sites we host with Epos Now plugin updates & improvements
    (External hosted sitess don’t get auto updates and need to pay £50 for the latest version)
  2. The integration requires IonCube loader installed on the server to protect our intellectual property
  3. The integration requires a server to run PHP version 5.6 or above for both CLI and web (Apache or CGI).
    If you’re running PHP 5.5 or 5.4 we need to provide you a different version of the plugin. PHP versions before 5.4 are not supported.

Please note: We will not reconfigure servers on externally hosted environments, it’s a complex task with potential reprecussions for those unfamiliar with why things are the way they are. If you’re unable to configure the server in the way we need then the best thing to do is host with us.

The rest of the article will explain the server set up required in more detail and some common solutions to issues you may encounter.